Module java.base
Package java.util.zip

# Class ZipException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.util.zip.ZipException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `JarException`

public class ZipException extends IOException
Signals that a Zip exception of some sort has occurred.

Since:
  1.1
See Also:
  - `IOException`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ZipException()`
Constructs a `ZipException` with `null` as its error detail message.
`ZipException(String s)`
Constructs a `ZipException` with the specified detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ZipException

public ZipException()
Constructs a `ZipException` with `null` as its error detail message.

### ZipException

public ZipException(String s)
Constructs a `ZipException` with the specified detail message.

Parameters:
  `s` - the detail message.